HFST-FST2TXT(1)

NAME
hfst-fst2txt - =Print transducer in AT&T, dot, prolog or pckimmo format

SYNOPSIS
hfst-fst2txt [OPTIONS...] [INFILE]

DESCRIPTION
Print transducer in AT&T, dot, prolog or pckimmo format

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Text format options:

-w, --print-weights
    If weights are printed in all cases

-D, --do-not-print-weights
    If weights are not printed in any case

-f, --format=TFMT
    Print output in TFMT format [default=att]

If OUTFILE or INFILE is missing or -, standard streams will be used. Unless explicitly requested with option -w or -D, weights are printed if and only if the transducer is in weighted format. TFMT is one of {att, dot, prolog, pckimmo}.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-fst2txt home page: <https://github.com/hfst/hfst/wiki/HfstFst2Txt>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.